Bug 235823 - [new port] x11-clocks/p5-Tk-Clock: Clock widget with analog and digital display
Summary: [new port] x11-clocks/p5-Tk-Clock: Clock widget with analog and digital display
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-18 00:41 UTC by Brian Scott
Modified: 2019-02-28 16:54 UTC (History)
1 user (show)

See Also:


Attachments
Diff of port directory (1.68 KB, patch)
2019-02-18 00:41 UTC, Brian Scott
no flags Details | Diff
p5-Tk-Clock-Revised.patch (2.45 KB, patch)
2019-02-24 15:29 UTC, Kai Knoblich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Scott 2019-02-18 00:41:54 UTC
Created attachment 202114 [details]
Diff of port directory

perl Tk widget to display a live clock.
Comment 1 Kai Knoblich freebsd_committer 2019-02-24 15:04:26 UTC
Hello Brian,

thank you for your contribution. The port builds fine so far but there's one small hurdle before the port can be committed:

The address of the MAINTAINER field needs to match the email address here at Bugzilla. 

Is it ok for you if I change that field accordingly?

I did also some minor fixes to level up the port compliance:
- Placed the RUN_DEPENDS on one line each
- Added the NO_ARCH keyword
- Merged the pkg-plist into PLIST_FILES because the package contains only two files
- Added WWW entry for pkg-descr

I have attached the revised version in this PR for reference.

Would you mind to revise the patches in your other PRs bug #235820 and bug #235822 ?
Comment 2 Kai Knoblich freebsd_committer 2019-02-24 15:29:43 UTC
Created attachment 202330 [details]
p5-Tk-Clock-Revised.patch
Comment 3 Brian Scott 2019-02-24 23:28:29 UTC
Of course you should make the changes.

You're the expert.

Thanks for looking at this.
Comment 4 commit-hook freebsd_committer 2019-02-28 16:52:41 UTC
A commit references this bug:

Author: kai
Date: Thu Feb 28 16:51:53 UTC 2019
New revision: 494161
URL: https://svnweb.freebsd.org/changeset/ports/494161

Log:
  New port: x11-clocks/p5-Tk-Clock: Clock widget with analog and digital display

  This module implements a Canvas-based clock widget for perl-Tk with
  lots of options to change the appearance.

  Both analog and digital clocks are implemented.

  WWW: https://metacpan.org/release/Tk-Clock

  PR:		235823
  Submitted by:	Brian Scott <bscott@bunyatech.com.au>
  Approved by:	miwi (mentor)
  Differential Revision:	https://reviews.freebsd.org/D19339

Changes:
  head/x11-clocks/Makefile
  head/x11-clocks/p5-Tk-Clock/
  head/x11-clocks/p5-Tk-Clock/Makefile
  head/x11-clocks/p5-Tk-Clock/distinfo
  head/x11-clocks/p5-Tk-Clock/pkg-descr
Comment 5 Kai Knoblich freebsd_committer 2019-02-28 16:54:10 UTC
Committed, thank you for your contribution!